QAbstractTexture with a Target3D target format.">

- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QTexture3D
- Qt 6.5.1 Reference Documentation

# QTexture3D Class

class Qt3DRender::QTexture3D

A QAbstractTexture with a Target3D target format. More...

Header: | #include <Qt3DRender/QTexture>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | Texture3D
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTexture3D(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

## Member Function Documentation

### `[explicit]` QTexture3D::QTexture3D(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTexture3D instance with parent as parent.